import React from 'react'
import { SymbolSearch, SymbolMenu, SymbolFacebook } from './svgs'
import { Search } from './search'

export function Base(props) {
  const { config, children, footerlink = null, ...htmlProps } = props
  return (
    <Html {...htmlProps} config={config}>
      {/* % block bodyattr %}{% endblock % */}
      <div id="all">
        {/* Top nav */}
        <nav
          className="supernav"
          role="navigation"
          style={{ zIndex: 5, position: 'absolute' }}
        >
          <div className="nav-wrapper container">
            <a
              data-activates="nav-mobile"
              className="menu-icon hide-on-med-and-up"
              style={{ float: 'left' }}
            >
              <SymbolMenu color="#fff" size={false} />
            </a>
            <div style={{ zIndex: 2 }} className="brand-logo">
              <a id="logo-container" href={`${config.baseurl}/tag/vse/1/`}>
                <img
                  className="hide-on-small-and-up"
                  src={`${config.baseurl}/theme/icon56.png`}
                />
                <img
                  className="hide-on-med-and-up hide-on-ultra-small"
                  src={`${config.baseurl}/theme/logo56.png`}
                />
                <img
                  className="hide-on-small-only"
                  src={`${config.baseurl}/theme/logo64.png`}
                />
              </a>
            </div>
            <div className="toplinks">
              <a className="hide-on-small-only left" id="aktuality">
                Aktuality
              </a>
              <a className="hide-on-small-only left" id="clanky">
                Články
              </a>
              <a className="hide-on-small-only left" id="o-nas">
                O nás
              </a>
              <a className="search-icon left">
                <SymbolSearch color="#fff" size={false} />
              </a>
            </div>
          </div>
        </nav>
        <script
          dangerouslySetInnerHTML={{
            __html: `
      $(document).ready(function() {
        $(".menu-icon").sideNav();
        $("#o-nas").click(function() {
          var body = $("body");
          body.removeClass("show-subnav2");
          body.removeClass("show-subnav3");
          if(body.hasClass("show-subnav1"))
            body.removeClass("show-subnav1");
          else
            body.addClass("show-subnav1");
        });
        $("#aktuality").click(function() {
          var body = $("body");
          body.removeClass("show-subnav1");
          body.removeClass("show-subnav3");
          if(body.hasClass("show-subnav2"))
            body.removeClass("show-subnav2");
          else
            body.addClass("show-subnav2");
        });
        $("#clanky").click(function() {
          var body = $("body");
          body.removeClass("show-subnav1");
          body.removeClass("show-subnav2");
          if(body.hasClass("show-subnav3"))
            body.removeClass("show-subnav3");
          else
            body.addClass("show-subnav3");
        })
        $("body").click(function(e) {
          if(!($(e.target).parents("a").length || $(e.target).is("a"))) {
            $("body").removeClass("show-subnav2").removeClass("show-subnav1");
          }
        });
      });
    `,
          }}
        />
        {/* Side nav */}
        <ul id="nav-mobile" className="side-nav collapsible">
          <li className="no-padding">
            <a className="collapsible-header waves-effect waves-teal">
              Aktuality
            </a>
            <div className="collapsible-body">
              <ul>
                <li>
                  <a href={`${config.baseurl}/tag/aktuality`}>
                    Všechny aktuality
                  </a>
                </li>
                <li>
                  <a href={`${config.baseurl}/tag/pozvanky`}>Pozvánky</a>
                </li>
                <li>
                  <a href={`${config.baseurl}/tag/stalo-se`}>Stalo se</a>
                </li>
                <li>
                  <a href={`${config.baseurl}/tag/zavody`}>Závody</a>
                </li>
              </ul>
            </div>
          </li>
          <li className="no-padding">
            <a className="collapsible-header waves-effect waves-teal">Články</a>
            <div className="collapsible-body">
              <ul>
                <li>
                  <a href={`${config.baseurl}/tag/clanky`}>Všechny články</a>
                </li>
                <li>
                  <a href={`${config.baseurl}/tag/programovani`}>
                    Programování
                  </a>
                </li>
                <li>
                  <a href={`${config.baseurl}/tag/mikroprocesory`}>
                    Mikroprocesory
                  </a>
                </li>
                <li>
                  <a href={`${config.baseurl}/tag/konstrukce`}>Konstrukce</a>
                </li>
                <li>
                  <a href={`${config.baseurl}/tag/technicke-clanky`}>
                    Technické články
                  </a>
                </li>
                <li>
                  <a href={`${config.baseurl}/tag/zajimavosti`}>Zajímavosti</a>
                </li>
              </ul>
            </div>
          </li>
          <li className="no-padding">
            <a className="collapsible-header waves-effect waves-teal">O nás</a>
            <div className="collapsible-body">
              <ul>
                <li>
                  <a href={`${config.baseurl}/clanek/o-radioklubu`}>
                    O Radioklubu
                  </a>
                </li>
                <li>
                  <a href={`${config.baseurl}/clanek/kontakt`}>Kontakt</a>
                </li>
                <li>
                  <a href={`${config.baseurl}/clanek/krouzek-mladeze`}>
                    Kroužek mládeže
                  </a>
                </li>
                <li>
                  <a href={`${config.baseurl}/clanek/pro-cleny-rk`}>
                    Pro členy RK
                  </a>
                </li>
              </ul>
            </div>
          </li>
        </ul>

        {/* Lower nav */}
        <nav
          className="subnav subnav1 hide-on-small-and-down"
          role="navigation"
        >
          <div className="nav-wrapper container">
            <ul className="right">
              <li>
                <a href={`${config.baseurl}/clanek/o-radioklubu`}>
                  O Radioklubu
                </a>
              </li>
              <li>
                <a href={`${config.baseurl}/clanek/kontakt`}>Kontakt</a>
              </li>
              <li>
                <a href={`${config.baseurl}/clanek/krouzek-mladeze`}>
                  Kroužek mládeže
                </a>
              </li>
              <li>
                <a href={`${config.baseurl}/clanek/pro-cleny-rk`}>
                  Pro členy RK
                </a>
              </li>
            </ul>
          </div>
        </nav>
        {/* Lower nav 2 - Aktuality */}
        <nav
          className="subnav subnav2 hide-on-small-and-down"
          role="navigation"
        >
          <div className="nav-wrapper container">
            <ul className="right">
              <li>
                <a href={`${config.baseurl}/tag/aktuality`}>
                  Všechny aktuality
                </a>
              </li>
              <li>
                <a href={`${config.baseurl}/tag/pozvanky`}>Pozvánky</a>
              </li>
              <li>
                <a href={`${config.baseurl}/tag/stalo-se`}>Stalo se</a>
              </li>
              <li>
                <a href={`${config.baseurl}/tag/zavody`}>Závody</a>
              </li>
            </ul>
          </div>
        </nav>
        {/* Lower nav 3 - Články */}
        <nav
          className="subnav subnav3 hide-on-small-and-down"
          role="navigation"
        >
          <div className="nav-wrapper container">
            <ul className="right">
              <li>
                <a href={`${config.baseurl}/tag/clanky`}>Všechny články</a>
              </li>
              <li>
                <a href={`${config.baseurl}/tag/programovani`}>Programování</a>
              </li>
              <li>
                <a href={`${config.baseurl}/tag/mikroprocesory`}>
                  Mikroprocesory
                </a>
              </li>
              <li>
                <a href={`${config.baseurl}/tag/konstrukce`}>Konstrukce</a>
              </li>
              <li>
                <a href={`${config.baseurl}/tag/technicke-clanky`}>
                  Technické články
                </a>
              </li>
              <li>
                <a href={`${config.baseurl}/tag/zajimavosti`}>Zajímavosti</a>
              </li>
            </ul>
          </div>
        </nav>
        <Search />

        {children}

        <footer className="page-footer blue">
          <div className="container s6">
            <a
              className="orange-text text-lighten-3"
              target="_blank"
              href="https://git.ok1kvk.cz/"
            >
              Gitlab
            </a>{' '}
            |{' '}
            <a
              className="orange-text text-lighten-3"
              target="_blank"
              href="http://forum.ok1kvk.cz/"
            >
              Fórum
            </a>{' '}
            |{' '}
            <a className="orange-text text-lighten-3" href="/clanek/webkamera/">
              Webkamera
            </a>{' '}
            |{' '}
            <a
              className="orange-text text-lighten-3"
              href="/clanek/jak-nahlasit-chybu/"
            >
              Jak nahlásit chybu
            </a>{' '}
            {footerlink}{' '}
            <div style={{ display: 'inline-block', height: '1em' }}>
              <a
                style={{
                  display: 'block',
                  float: 'left',
                  marginTop: '-.5em',
                }}
                target="_blank"
                href="https://www.facebook.com/ok1kvk"
              >
                <SymbolFacebook color="white" size="2em" />
              </a>
            </div>
          </div>
          <div className="container s6">
            Stránky pro OK1KVK vytvořila{' '}
            <a
              className="orange-text text-lighten-3"
              target="_blank"
              href="https://codewitchbella.com"
            >
              Isabella Skořepová
            </a>{' '}
            2015-2020
          </div>
        </footer>

        <script src={`${config.baseurl}/theme/js/materialize.js`}></script>
        <script src={`${config.baseurl}/theme/js/init.js`}></script>

        <script
          dangerouslySetInnerHTML={{
            __html: `
      (function($) {
      var onresize = function(){
        $("footer").height("auto");
        $("#content").css("margin-bottom",$("footer").height());
      };
      $(window).resize(onresize);
      $(document).load(onresize);
      $(document).ready(onresize);
    })(jQuery);`,
          }}
        />
        {config.debug ? null : (
          <script
            dangerouslySetInnerHTML={{
              __html: `
        (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
        (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
        m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
        })(window,document,'script','//www.google-analytics.com/analytics.js','ga');

        ga('create', 'UA-74646565-1', 'auto');
        ga('send', 'pageview');
      `,
            }}
          />
        )}
        <script
          src={`${config.baseurl}/theme/lightbox2/dist/js/lightbox.min.js`}
        ></script>
      </div>
    </Html>
  )
}
